%define uname   SCons

Name:           scons
Version:        4.4.0
Release:        %mkrel 1
Summary:        Open Source software construction tool
License:        MIT
Group:          Development/Other
URL:            https://www.scons.org
Source0:        https://download.sourceforge.net/scons/%{uname}-%{version}.tar.xz
Source1:        scons.macros

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Obsoletes:      python3-scons
Provides:       python3-scons = %{version}-%{release}

Obsoletes:      python-scons
Provides:       python-scons = %{version}-%{release}

%description
SCons is an Open Source software construction tool--that is, a build
tool; an improved substitute for the classic Make utility; a better way
to build software. SCons is based on the design which won the Software
Carpentry build tool design competition in August 2000.

SCons "configuration files" are Python scripts, eliminating the need
to learn a new build tool syntax. SCons maintains a global view of
all dependencies in a tree, and can scan source (or other) files for
implicit dependencies, such as files specified on #include lines. SCons
uses MD5 signatures to rebuild only when the contents of a file have
really changed, not just when the timestamp has been touched. SCons
supports side-by-side variant builds, and is easily extended with user-
defined Builder and/or Scanner objects.

%prep
%setup -qn %{uname}-%{version}
%apply_patches

%build
%py3_build

%install
%py3_install

# Kept for compatibility with scripts which might expect `scons-3`.
# The other aliases were removed as not really useful now that we don't have py2 variants.
ln -fs %{_bindir}/%{name} %{buildroot}%{_bindir}/%{name}-3

# install scons rpm macro helper
install -D -p -m 0644 %{_sourcedir}/%{name}.macros %{buildroot}/%{_sysconfdir}/rpm/macros.d/%{name}.macros

# man pages
install -d %{buildroot}%{_mandir}/man1
mv %{buildroot}%{_prefix}/*.1 %{buildroot}%{_mandir}/man1/

%files
%{_bindir}/%{name}
%{_bindir}/%{name}-3
%{_bindir}/%{name}-configure-cache
%{_bindir}/%{name}ign
%{_mandir}/man1/%{name}*.1*
%{python3_sitelib}/SCons/
%{python3_sitelib}/%{uname}-%{version}-py%{python3_version}.egg-info
%{_sysconfdir}/rpm/macros.d/%{name}.macros

%changelog
* Thu Aug 25 2022 TerryN <terryn94 at gmail.com>  4.4.0-1pclos2022
- update and rebuild for python 3.10

* Sun Jan 23 2022 tex - 4.3.0-1pclos2022
- new version 4.3.0
